Bug 890496 - qemu-kvm crash when running L1 nested hypervisor running rhel63
qemu-kvm crash when running L1 nested hypervisor running rhel63
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 05:14 EST by Eyal Edri
Modified: 2013-04-03 17:49 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 17:49:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proc cpuinfo on the host (6.92 KB, application/octet-stream)
2012-12-27 05:21 EST, Eyal Edri
no flags Details

  None (edit)
Description Eyal Edri 2012-12-27 05:14:51 EST
Description of problem:


Version-Release number of selected component (if applicable):
L0 host: 3.6.10-2.fc17.x86_64 #1 SMP Tue Dec 11 18:07:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

qemu-* versions:

qemu-kvm-tools-1.0.1-2.fc17.x86_64
qemu-img-1.0.1-2.fc17.x86_64
qemu-common-1.0.1-2.fc17.x86_64
qemu-system-x86-1.0.1-2.fc17.x86_64
qemu-kvm-1.0.1-2.fc17.x86_64


How reproducible:


Steps to Reproduce:
1.install f17 L0 host with vdsm-nested-hook 
2.create L1 nested hypervisor running rhel63 on it
3.add L1 nested host to an ovirt/rhevm setup as host. 
  
Actual results:
qemu crash on l0 host, and nested l1 host is in bootloop/pause mode

Expected results:
nested l1 host is running and booting OK.

Additional info:
Comment 1 Eyal Edri 2012-12-27 05:21:37 EST
Created attachment 669563 [details]
proc cpuinfo on the host
Comment 3 Ohad Basan 2013-01-23 04:12:55 EST
Tried switching the host to fedora18. experiencing a kernel panic upon boot after turning on nested kvm in the kernel.
Comment 4 Cole Robinson 2013-04-01 15:38:32 EDT
F17 + F18 have the 3.8 kernel nowdays, can someone retest and see if the issue persists?
Comment 5 Ohad Basan 2013-04-02 04:17:53 EDT
I don't see a qemu crash anymore.
but I do encounter a different problem

https://bugzilla.redhat.com/show_bug.cgi?id=923840
Comment 6 Cole Robinson 2013-04-03 17:49:50 EDT
Thanks Ohad, closing this as CURRENTRELEASE then, we can track the kernel issue in your other bug.

Note You need to log in before you can comment on or make changes to this bug.